
D4Science Infrastructure - VM Creation #11852

Create a VM to deploy the new storage hub application.

May 29, 2018 11:54 AM - Roberto Cirillo

Status: Closed Start date: May 29, 2018

Priority: Urgent Due date: May 31, 2018

Assignee: _InfraScience Systems Engineer % Done: 100%

Target version: UnSprintable   

Infrastructure: Production Applications list and

version:

storagehub latest version

RAM: 8 Applications context

path:

storagehub

CPU: 16 External storage data

disk:

120GB under /data

40 GB under /tomcat/temp

DiskSpace: 30 Smartgears auth

connector:

 

Smartgears: Yes data transfer

enabled:

 

Smartgears Version: latest PostgreSQL

database:

 

Application

Instructions:

 Number of VMs: 1

Smartgears scopes: all   

Description

I need to install the storagehub webapp on this VM but it seems to be not reachable:

rcirillo@rcirillo-cnr:~$ ping workspace-repository-prod.d4science.org

PING workspace-repository-prod.d4science.org (146.48.122.106) 56(84) bytes of data.

^C

--- workspace-repository-prod.d4science.org ping statistics ---

11 packets transmitted, 0 received, 100% packet loss, time 10079ms

 Could anyone take a look, please?

Related issues:

Related to D4Science Infrastructure - Task #10264: Add /data as separate file... Closed Nov 08, 2017

Blocks D4Science Infrastructure - Upgrade #11834: D4Science Root VO upgrade t... Completed May 23, 2018

History

#1 - May 29, 2018 11:57 AM - Roberto Cirillo

- Related to Upgrade #11834: D4Science Root VO upgrade to gCube 4.11.1 added

#2 - May 29, 2018 12:02 PM - Andrea Dell'Amico

That VM was destroyed because it was unused. If there are plans to finally activate the cluster, the VM must be reinstalled.

#3 - May 29, 2018 12:19 PM - Roberto Cirillo

Andrea Dell'Amico wrote:

That VM was destroyed because it was unused. If there are plans to finally activate the cluster, the VM must be reinstalled.

 There was a ticket for this activity? I haven't see it. Is it possible to create another VM with the same resources in order to install the new storagehub

webapp? 

#4 - May 29, 2018 12:30 PM - Andrea Dell'Amico

- Related to Task #10264: Add /data as separate file system on workspace-repository-prod.d4science.org added
#5 - May 29, 2018 12:31 PM - Andrea Dell'Amico

Not a dedicated one, but the matter was discussed in #10264 that I just added as related.

Please open a new ticket or change this one in VM creation

#6 - May 29, 2018 12:33 PM - Andrea Dell'Amico

Also keep in mind that we will need a new load balancer configuration.

Will the new storage hub able to work in a cluster?

#7 - May 29, 2018 12:55 PM - Roberto Cirillo

- Tracker changed from Support to VM Creation

- RAM set to 8

- CPU set to 16

- DiskSpace set to 30

- Smartgears set to Yes

- Smartgears Version set to latest

- Smartgears scopes updated

- Applications list and version updated

- Applications context path updated

- External storage data disk updated

- Number of VMs set to 1

This new VM shouldn't be in the same cluster with the workspace-repository-prod1.d4science.org VM but it should share the same db

(workspace-repository-pg) and JR configuration.

Please @lucio.lelii@isti.cnr.it check if the resources in the description are ok for you. I've just set the same resources of the old

workspace-repository-prod.d4science.org VM.

The new VM name could be the following if you are agree:

 storagehub.d4science.org

#8 - May 29, 2018 02:37 PM - Andrea Dell'Amico

I think it's better if we talk about it.

#9 - May 29, 2018 02:50 PM - Massimiliano Assante

I don't think we should rename the VM, let's keep it workspace-repository-prod.d4science.org 

@lucio.lelii@isti.cnr.it are we sure that This new VM shouldn't be in the same cluster with the workspace-repository-prod1.d4science.org VM but it

should share the same db (workspace-repository-pg) and JCR configuration.

#10 - May 29, 2018 02:52 PM - Lucio Lelii

Massimiliano Assante wrote:

@lucio.lelii@isti.cnr.it are we sure that This new VM shouldn't be in the same cluster with the workspace-repository-prod1.d4science.org VM but

it should share the same db (workspace-repository-pg) and JCR configuration.

 Yes

#11 - May 29, 2018 02:53 PM - Massimiliano Assante

Lucio Lelii wrote:

Massimiliano Assante wrote:

@lucio.lelii@isti.cnr.it are we sure that This new VM shouldn't be in the same cluster with the workspace-repository-prod1.d4science.org

VM but it should share the same db (workspace-repository-pg) and JCR configuration.

 Yes

 then the name proposed by Roberto makes sense.
#12 - May 29, 2018 03:20 PM - Roberto Cirillo

I would also like to say that for the moment, the storagehub is in ready-only mode on JR repository.

#13 - May 29, 2018 03:26 PM - Andrea Dell'Amico

I would keep the workspace-repository.d4science.org hostname on the balancer to overcome the certificates problem. The app context is different, so

the load balancer can discriminate on that.

#14 - May 30, 2018 09:47 AM - Roberto Cirillo

- Related to deleted (Upgrade #11834: D4Science Root VO upgrade to gCube 4.11.1)

#15 - May 30, 2018 09:47 AM - Roberto Cirillo

- Blocks Upgrade #11834: D4Science Root VO upgrade to gCube 4.11.1 added

#16 - May 31, 2018 10:58 AM - Massimiliano Assante

- Due date set to May 31, 2018

it would be beneficial if the VM would be up by end of today? The sooner the better

#17 - Jun 01, 2018 10:59 AM - Massimiliano Assante

@andrea.dellamico@isti.cnr.it @tommaso.piccioli@isti.cnr.it could you update the status of this activity please? Thanks!

#18 - Jun 01, 2018 03:51 PM - Andrea Dell'Amico

- Status changed from New to In Progress

I'm going to name it storagehub1.d4science.org.

#19 - Jun 01, 2018 05:06 PM - Andrea Dell'Amico

- % Done changed from 0 to 80

The VM is up. I've added the two volumes, they will be mounted by the playbook.

I also cleaned up the playbook and added a specific playbook for the storage hub: storage-hub.yml (in the long run the smartgears-nodes.yml

playbook should disappear, it's too bloated).

The storage hub variables now have a common group named storage_hub, and then specific groups for the prod and dev environments. I did not

cleaned up the dev variables.

@roberto.cirillo@isti.cnr.it you have root access, you can run the playbook.

I still have to change the load balancer configuration.

#20 - Jun 01, 2018 05:13 PM - Roberto Cirillo

Thank you @andrea.dellamico@isti.cnr.it I'm going to run the playbook right now

#21 - Jun 01, 2018 05:25 PM - Roberto Cirillo

The following task is failing:

TASK [../../library/roles/data_disk : Create a file system on the new disks] *********************************

**************************************************************************************************************

***********

fatal: [storagehub1.d4science.org]: FAILED! => {"msg": "'catalina_tmp_directory' is undefined"}

 Please, could you check?

#22 - Jun 01, 2018 05:30 PM - Andrea Dell'Amico

Wrong variable, now it should be fixed.

#23 - Jun 01, 2018 05:35 PM - Andrea Dell'Amico

The load balancer has been configured. The main URL is workspace-repository.d4science.org ( /storagehub,/homelibrary-fs-webapp).

#24 - Jun 01, 2018 06:43 PM - Andrea Dell'Amico
- Subject changed from workspace-repository-prod.d4science.org: is unreachable to Create a VM to deploy the new storage hub application.

- % Done changed from 80 to 90

The VM has been provisioned. A working check for the load balancer is needed, because /storagehub returns an error even if the application has

been deployed. @lucio.lelii@isti.cnr.it can you give me a working URL?

#25 - Jun 04, 2018 11:08 AM - Lucio Lelii

the check to understand if the node is up is {hostname}/storagehub/gcube/resource/

#26 - Jun 04, 2018 11:40 AM - Andrea Dell'Amico

Done. Now the load balancer is happy.

#27 - Jun 04, 2018 03:00 PM - Lucio Lelii

It isn't working, I tried the following URL

http://workspace-repository.d4science.org/storagehub/gcube/resource/

 but it returns a 404 error

#28 - Jun 04, 2018 03:30 PM - Andrea Dell'Amico

I forgot to also change the ACL used by the old home library. Your request were intercepted by that rule and redirected to the wrong server. Now it

works.

#29 - Jun 07, 2018 12:58 PM - Roberto Cirillo

I've added "workspace-repository.d4science.org" as smartgears_hostname. Now the storagehub service is published as the haproxy address

#30 - Jun 12, 2018 03:44 PM - Roberto Cirillo

- Status changed from In Progress to Closed
